task prepareaa {

  File dedup_bam
  File dedup_bamindex
  String sample_name
  String sample_id
  String docker
  String cluster_config
  String disk_size
  command <<<
    set -o pipefail
    set -e 
    export MOSEKPLATFORM=linux64x86
    export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/home/programs/mosek/8/tools/platform//bin
    export LD_LIBRARY_PATH=:/home/programs/mosek/8/tools/platform//bin
    export AA_DATA_REPO=/home/data_repo
    export AA_SRC=/home/programs/AmpliconArchitect-master/src
    export MOSEKLM_LICENSE_FILE=/home/programs/mosek/8/licenses
    export NCM_HOME=/home/programs/NGSCheckMate-master/
    mkdir -p /home/output/${sample_id}
    /home/programs/PrepareAA-master/PrepareAA.py -s ${sample_name} -t 20 --cnvkit_dir /home/programs/cnvkit.py --sorted_bam ${dedup_bam} --run_AA --ref GRCh38 -o /home/out/${sample_id}
  
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  output {
    Array[File]  prepareaa_result= glob("/home/out/${sample_id}/*")
  }
}
